## gpart-0.1h.tar.bz2

=== Makefile ===
#
# gpart Makefile
#
include inst.defs
include make.defs

all: gpart

gpart:
	$(MAKE) -C src
	$(MAKE) -C man

install: install-object install-man

install-object:
	$(MAKE) -C src install

install-man:
	$(MAKE) -C man install

uninstall:
	$(MAKE) -C src uninstall
	$(MAKE) -C man uninstall

clean:
	$(MAKE) -C src clean
	$(MAKE) -C man clean

.PHONY: all gpart install install-object install-man uninstall clean

=== src/Makefile ===
#
# gpart src Makefile
#
include ../inst.defs
include ../make.defs

CFLAGS+=-DVERSION=\"$(version)\"
ifeq ($(shell uname),Linux)
LIBS=-ldl
CFLAGS += -D__USE_FILE_OFFSET64 -D__USE_LARGEFILE64
CFLAGS += -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
endif

ifdef DEBUG
CFLAGS+=-g
LDFLAGS+=-g
endif

ifdef GPART_LANG
CFLAGS+=-DGPART_LANG=\'$(GPART_LANG)\'
endif


mod=ext2 lswap fat bsddl ntfs hpfs s86dl minix reiserfs hmlvm qnx4 beos xfs
modobj=$(foreach m,$(mod),gm_$(m).o)
obj=gpart.o gmodules.o disku.o l64seek.o $(modobj)
src=$(obj:.o=.c)
hdr=$(wildcard *.h)
allsrc=Makefile $(src) $(hdr)

all: $(prg)

$(prg): $(obj)
	$(CC) -o $@ $(LDFLAGS) $(obj) $(LIBS)

install: $(prg)
	$(INSTALL) -d $(bindir)
	$(INSTALL) -s $(prg) $(bindir)

uninstall:
	$(RM) $(bindir)/$(prg)

clean:
	@$(RM) $(obj) $(prg) .depend

static:
	@$(MAKE) LDFLAGS=-static

rcscheck:
	@for f in $(allsrc); do \
		rcsdiff $$f >/dev/null 2>&1 || echo "Please checkin $$f"; \
	done

checkin:
	@for f in $(allsrc); do \
		rcsdiff $$f >/dev/null 2>&1 || ci -m"v$(version)" -l $$f; \
	done


.depend: $(src)
	@$(MAKEDEP) $(src) > $@

-include .depend

=== debian/changelog ===
gpart (0.1h-4.1) unstable; urgency=medium

  * NMU from the Cambridge BSP
  * Rather than attempt to use the syscall(!) interface for 64-bit lseek,
    simply compile to use the 64-bit VFS interface and use the normal
    lseek calls. Let libc deal with the issues...
    Closes: #225578, #294836, #393039.
  * Applied the reiserfs 3.6 recognition patch from
    ftp://ftp.namesys.com/pub/misc-patches/gpart-0.1h-reiserfs-3.6.patch.gz
    Closes: #246989, #322256
  * Recogniise ext3 filesystems as well as ext2. Thanks to Xisco Calafat
    for the patch. Closes: #212989
	
 -- Steve McIntyre <93sam@debian.org>  Sat, 28 Oct 2006 22:50:42 +0100

gpart (0.1h-4) unstable; urgency=low

  * recompile to resolve errno problem; no changes required
    Closes: #225018: gpart binary is incorrectly built
  * debian standards 3.5.10:
    - support DEB_BUILD_OPTIONS "noopt"
  
 -- David Coe <davidc@debian.org>  Thu, 25 Dec 2003 01:31:30 -0500

gpart (0.1h-3) unstable; urgency=low

  * corrected punctuation in package description
    Closes: #124692: Spelling error in description

 -- David Coe <davidc@debian.org>  Mon, 17 Dec 2001 21:06:11 -0500

gpart (0.1h-2) unstable; urgency=low

  * moved Build-Depends to the right place 
  Closes: #119348: malformed debian/control
  * patched to build on ia64 (and others), thanks to Doug Porter 
    <dsp@debian.org>, and changed to Architecture: any.
  Closes: #119347: fix to build on ia64
  * standards version now 3.5.6; no changes needed.

 -- David Coe <davidc@debian.org>  Sun, 25 Nov 2001 23:08:43 -0500

gpart (0.1h-1) unstable; urgency=low

  * new upstream version:
    v0.1h
     - New support for BeOS, QNX 4.x & SGI XFS filesystems.
     - Updated Reiser filesystem support.
     - Updated LVM support.
     - Several small fixes from contributors.
    v0.1g
     - For access via raw devices: made writing of guessed table also 
       aligned (reading has been aligned since 0.1f).
     - Fixed stupid copy&paste bug in the partition table check routine.
    Closes: #66894 "crashes immediately on Alpha [includes patch]
    (the suggested patch was applied upstream)
    Closes: #85151 "New upstream version available"
  * patched gm_fat.h as suggested by Falk Hueffner <falk@debian.org>
    Closes: #66893 "FAT detection broken on Alpha"
  * debian standards 3.5.2 (support for DEB_BUILD_OPTIONS)

 -- David Coe <david.coe@someotherplace.org>  Sat, 24 Feb 2001 21:01:33 -0500

gpart (0.1f-1) frozen unstable; urgency=medium

  * new upstream version:
    - Default scan increment is 'h' [head] again.
    - Fixed wrong head-boundary condition.  closes: #59147
    - Introduced possibility to edit guessed partitions.
    - Scan now starts on (sectors/head) unless -k <start> was given.
    - Length of guessed NTFS partitions now includes NTFS backup boot
      sector created by NT4.

 -- David Coe <david.coe@someotherplace.org>  Sun, 27 Feb 2000 22:02:45 -0500

gpart (0.1e-2) frozen unstable; urgency=low

  * added ARM architecture, thanks to Philip Blundell; closes: #58395

 -- David Coe <david.coe@someotherplace.org>  Fri, 18 Feb 2000 13:24:35 -0500

gpart (0.1e-1) unstable; urgency=low

  * new upstream version:
    - Default scan increment now 's', extended partition table boundary 
      condition now depends on scan increment (head if 's', else cylinder 
      boundary).
    - Added LVM physical volume module (LVM by Heinz Mauelshagen).
  * Debian change to "Architecture: alpha i386", until upstream resolves 
    endianness and other architecture differences (closes: #46101);
    forwarded various architecture/endianness suggestions upstream.
  * Also improved upstream:
    - A more detailed README.
  * revised the man page (improved wording, format), at upstream 
    author's request; sent changes upstream.
  * added TODO.Debian
  * finished FHS transition; docs are now in /usr/share/doc/ with 
    appropriate compatibility symlink, thanks to debhelper.

 -- David Coe <david.coe@someotherplace.org>  Sun,  7 Nov 1999 04:18:14 +0000

gpart (0.1d-1) unstable; urgency=low

  * new upstream version
  * changed for debian standards 3.0.1 and FHS (except for /usr/doc)

 -- David L. Coe <david.coe@someotherplace.org>  Fri, 20 Aug 1999 04:26:15 +0000

gpart (0.1c-2) unstable; urgency=low

  * install into /sbin rather than /usr/sbin (as explained in README.Debian)
  * improved description

 -- David L. Coe <david.coe@someotherplace.org>  Tue,  1 Jun 1999 02:49:55 +0000

gpart (0.1c-1) unstable; urgency=low

  * initial debianization

 -- David L. Coe <david.coe@someotherplace.org>  Fri, 28 May 1999 22:49:11 +0000

=== debian/control ===
Source: gpart
Section: admin
Priority: optional
Maintainer: David Coe <davidc@debian.org>
Standards-Version: 3.5.10
Build-Depends: debhelper

Package: gpart
Architecture: any
Depends: ${shlibs:Depends}
Description: Guess PC disk partition table, find lost partitions
 Gpart is a tool which tries to guess the primary partition table of a
 PC-type disk in case the primary partition table in sector 0 is
 damaged, incorrect or deleted.
 .
 It is also good at finding and listing the types, locations, and
 sizes of inadvertently-deleted partitions, both primary and logical.
 It gives you the information you need to manually re-create them
 (using fdisk, cfdisk, sfdisk, etc.).
 .
 The guessed table can also be written to a file or (if you firmly
 believe the guessed table is entirely correct) directly to a disk
 device.
 .
 Supported (guessable) filesystem or partition types: 
 .
  * BeOS filesystem type.
  * FreeBSD/NetBSD/386BSD disklabel sub-partitioning
    scheme used on Intel platforms.
  * Linux second extended filesystem.
  * MS-DOS FAT12/16/32 "filesystems".
  * IBM OS/2 High Performance filesystem.
  * Linux LVM physical volumes (LVM by Heinz Mauelshagen).
  * Linux swap partitions (versions 0 and 1).
  * The Minix operating system filesystem type.
  * MS Windows NT/2000 filesystem.
  * QNX 4.x filesystem.
  * The Reiser filesystem (version 3.5.X, X > 11).
  * Sun Solaris on Intel platforms uses a sub-partitioning
    scheme on PC hard disks similar to the BSD disklabels.
  * Silicon Graphics' journalling filesystem for Linux.
 .
 Other types may be added relatively easily, as separately compiled modules.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export OPTIMIZATION_FLAGS:=-O0
endif

build: build-stamp
build-stamp:
	dh_testdir

#	# Add here commands to compile the package.

	$(MAKE) DEBUG=1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

#	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

#	# Add here commands to install the package into debian/tmp.
	$(MAKE) install-object DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs Changes
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
